# imdlib
[![Build Status](https://github.com/iamsaswata/imdlib/actions/workflows/pypi.yml/badge.svg)](https://github.com/iamsaswata/imdlib/actions/workflows/pypi.yml)
![GitHub](https://img.shields.io/github/license/iamsaswata/imdlib)
![PyPI](https://img.shields.io/pypi/v/imdlib)
![Conda](https://img.shields.io/conda/v/iamsaswata/imdlib)
[![Downloads](https://pepy.tech/badge/imdlib)](https://pepy.tech/project/imdlib)


This is a python package to download and handle binary grided data from Indian Meterological department (IMD).

## Installation

> pip install imdlib
 
 or

> conda install -c iamsaswata imdlib

or 

> pip install git+https://github.com/iamsaswata/imdlib.git


## Documentation

[Tutorial](https://saswatanandi.github.io/softwares/imdlib)
[Tutorial](https://pratiman-91.github.io/blog.html)

## Video Tutorial  
  
[![IMDLIB - Albedo Foundation](https://img.youtube.com/vi/uSIPPY5WRaM/0.jpg)](https://www.youtube.com/watch?v=uSIPPY5WRaM)

## License

imdlib is available under the [MIT](https://opensource.org/licenses/MIT) license.

## Citation

If you are using imdlib and would like to cite it in academic publication, we would certainly appreciate it. We recommend to use one of these two DOIs for this purpose:

Nandi, S., Patel, P., and Swain, S. (2024). IMDLIB: An open-source library for retrieval, processing and spatiotemporal exploratory assessments of gridded meteorological observation datasets over India. *Environmental Modelling and Software*, 71 (105869), [[DOI]](https://doi.org/10.1016/j.envsoft.2023.105869)  
  
Nandi, S., Patel, P., and Swain, S. (2022). IMDLIB: A python library for IMD gridded data. Zenodo. [[DOI]](https://doi.org/10.5281/zenodo.7205414)   

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.7205414.svg)](https://doi.org/10.5281/zenodo.7205414)

## Publications using IMDLIB 
  
Swain, S., Mishra, P.K., Nandi, S., Pradhan, B., Sahoo, S., Al-Ansari, A. (2024). A simplistic approach for monitoring meteorological drought over arid regions: a case study of Rajasthan, India. *Applied Water Science*, 14, 36. [[DOI]](https://doi.org/10.1007/s13201-023-02085-z)  
  
Pandey, H.K., Singh, V.K., Singh, R.P. et al. (2023). Soil Loss Estimation Using RUSLE in Hard Rock Terrain: a Case Study of Bundelkhand, India. *Water Conserv Sci Eng 8*, 55. [[DOI]](https://doi.org/10.1007/s41101-023-00229-5)   
  
Vage, S., Gupta, T., Roy, S. (2023). Impact Analysis of Climate Change on Floods in an Indian Region Using Machine Learning. *In: ICANN 2023*, 14261. [[DOI]](https://doi.org/10.1007/978-3-031-44198-1_31)  
      
Garg, N., Negi, S., Nagar, R., Rao, S., & KR, S. (2023). Multivariate multi-step LSTM model for flood runoff prediction: a case study on the Godavari River Basin in India. *Journal of Water and Climate Change*, [[DOI]](https://doi.org/10.2166/wcc.2023.374)   
    
Bora, S., & Hazarika, A. (2023). Rainfall time series forecasting using ARIMA model. In 2023 ATCON-1, (pp. 1-5). *IEEE*, [[DOI]](https://doi.org/10.1109/ICAIA57370.2023.10169493)  
  
Panja, A., Garai, S., Zade, S., Veldandi, A., Sahani, S., & Maiti, S. (2023). Climate Data Extraction for Social Science Research: A Step by Step Process. *Social Science Dimensions of Climate Resilient Agriculture*, [[ISBN]](https://www.researchgate.net/profile/Sanjit-Maiti/publication/372909405_Social_Science_Dimensions_of_Climate_Resilient_Agriculture/links/64cd3c4191fb036ba6c6d311/Social-Science-Dimensions-of-Climate-Resilient-Agriculture.pdf#page=57) (ISBN: 978-81-964762-1-2)
  
Chakra, S., Ganguly, A., Oza, H., Padhya, V., Pandey, A., & Deshpande, R. D. (2023). Multidecadal summer monsoon rainfall trend reversals in South Peninsular India: a new approach to examining long-term rainfall dataset. *Journal of Hydrology*, [[DOI]](https://doi.org/10.1016/j.jhydrol.2023.129975).
  
Sardar, P., and Samadder, S. R. (2023).  Long-term ecological vulnerability assessment of indian sundarban region under present and future climatic conditions under CMIP6 model. *Ecological Informatics*. [[DOI]](https://doi.org/10.1016/j.ecoinf.2023.102140)  
  
Roy, P. K., Ghosh, A., Basak, S. K., Mohinuddin, S., & Roy M. B. (2023).  Analysing the Role of AHP Model to Identify Flood Hazard Zonation in a Coastal Island, India. *Journal of the Indian Society of Remote Sensing Article*, 1-15. [[DOI]](https://doi.org/10.1007/s12524-023-01697-x)   
  
Kundu, M., Zafor, A., & Maiti, R. (2023). Assessing the nature of potential groundwater zones through machine learning (ML) algorithm in tropical plateau region, West Bengal, India. *Acta Geophysica*, 1-16. [[DOI]](https://doi.org/10.1007/s11600-023-01042-3)  
    
Venkatesh, S., Kirubakaran, T., Ayaz, R. M., Umar, S. M., & Parimalarenganayaki, S. (2023). Non-parametric Approaches to Identify Rainfall Pattern in Semi-Arid Regions: Ranipet, Vellore, and Tirupathur Districts, Tamil Nadu, India. *In River Dynamics and Flood Hazards* (pp. 507-525). Springer, Singapore.  [[DOI]](https://doi.org/10.1007/978-981-19-7100-6_28) 

Swain, S., Mishra, S. K., Pandey, A., & Dayal, D. (2022). Assessment of drought trends and variabilities over the agriculture-dominated Marathwada Region, India. *Environmental Monitoring and Assessment, 194(12)*, 1-18. 
[[DOI]](https://doi.org/10.1007/s10661-022-10532-8)  
  
Swain, S., Mishra, S. K., Pandey, A., Dayal, D., & Srivastava, P. K. (2022). Appraisal of historical trends in maximum and minimum temperature using multiple non-parametric techniques over the agriculture-dominated Narmada Basin, India. *Environmental Monitoring and Assessment*, 194(12), 1-23. [[DOI]](https://doi.org/10.1007/s10661-022-10534-6) 
