# Dictionary of functions
# Representing long name in netcdf data

long_name_dict_anu = {
    "cwd": "Consecutive wet days",
    "dr": "Rainy days",
    "dtr": "Diurnal Temperature Range",
    "d64": "Heavy precipitation days",
    "mmk_hr": "Modified Mann-Kendall[Hamed and Rao, 1998] statistics (Z)",
    "mnadt": "Min. Annual Daily Tmin (Coolest Night)",
    "mxadt": "Max. Annual Daily Tmax (Hottest Day)",
    "pci": "Precipitation concentration index",
    "rtwd": "Total precipitation in wet days",
    "rx5d": "Maximum 5 days rainfall",
    "rxa": "Maximum annual rainfall",
    "sdii": "Simple precipitation intensity index",
    "spr": "Spearman’s Rho statistics (Zsr)",
    "sse": "Sen’s slope estimates",
    "sstr": "Magnitude of trend"
}

# Dictionary of functions
# Representing short name in netcdf data

short_name_dict = {
    "cwd": "cwd",
    "dr": "dr",
    "dtr": "dtr",
    "d64": "d64",
    "mmk_hr": "mmk_hr",
    "mnadt": "mnadt",
    "mxadt": "mxadt",
    "pci": "pci",
    "rtwd": "rtwd",
    "rx5d": "rx5d",
    "rxa": "rxa",
    "sdii": "sdii",
    "spr": "spr",
    "sse": "sse",
    "sstr": "sstr"
}

# Dictionary of functions
# Representing untits in netcdf data

units_dic_anu = {
    "cwd": "Days",
    "dr": "Days",
    "dtr": "C",
    "d64": "Days",
    "mmk_hr": "Z",
    "mnadt": "C",
    "mxadt": "C",
    "pci": "",
    "rtwd": "mm/year",
    "rx5d": "mm/year",
    "rxa": "mm",
    "sdii": "",
    "spr": "Zsr",
    "sse": "Slope",
    "sstr": "%"
}
